export declare enum State {
    none = 0,
    loading = 1,
    loaded = 2,
    registered = 3,
    error = 4
}
export interface Lib {
    name: string;
    files: Record<string, string>;
    state: State;
    version?: string;
    isTypes?: boolean;
    typesName?: string;
}
interface Context {
    libs: Lib[];
    getLib: typeof getLib;
}
declare function getLib(name: string, version?: string): Lib | undefined;
export declare function createLib(name: string): Lib;
export declare const context: Context;
export {};
