import { parse } from "@babel/parser";
export declare function isJsx(url: string): boolean;
export declare type AstTree = ReturnType<typeof parse>;
export declare function getAst(content: string): import("@babel/parser").ParseResult<import("@babel/types").File>;
export interface JsxNode {
    type: string;
    start: number;
    end: number;
}
export declare function getAstNode(node: any, types: string[]): JsxNode[];
export declare function getLibsFromAst(ast: AstTree): {
    value: string;
    end: number;
    start: number;
}[];
